<template>
  <div>
    <h1 class="text-4xl">Личный кабинет</h1>
    <section class="mt-4">
      <h2 class="text-xl">Мои данные</h2>
      <div class="flex gap-8 mt-8">
        <div class="h-24 w-24 rounded-full overflow-hidden flex-shrink-0">
          <img :src="user.photo" alt="Аватар" />
        </div>
        <div class="grid gap-3 grid-cols-2 w-full">
          <el-input v-model="user.name" label="ФИО"></el-input>
          <el-input v-model="user.email" label="Email"></el-input>
          <el-date-picker
            v-model="user.birday"
            type="date"
            label="Дата рождения"
          ></el-date-picker>
          <el-input v-model="user.growth" type="number" label="Рост"></el-input>
          <el-select v-model="user.curLevel">
            <el-option
              v-for="item in user.level"
              :key="item.id"
              :label="item.name"
              :value="item.id"
            />
          </el-select>
          <el-select v-model="user.curRole">
            <el-option
              v-for="item in user.role"
              :key="item.id"
              :label="item.name"
              :value="item.id"
            />
          </el-select>
        </div>
      </div>
      <el-button type="primary">Сохранить</el-button>
    </section>
  </div>
</template>

<script lang="ts">
import { storeToRefs } from "pinia";
import { defineComponent } from "vue";
import useUserStore from "../store/user";

export default defineComponent({
  name: "HomePage",
  setup() {
    const { user } = storeToRefs(useUserStore());

    return {
      user,
    };
  },
});
</script>
